<?php

namespace Modules\Mall\Models;


use App\Models\Model;
use App\Traits\HasCovers;
use App\Traits\HasStatus;
use GeneaLabs\LaravelModelCaching\Traits\Cachable;

class Video extends Model
{
    use HasStatus, HasCovers, Cachable;

    protected $table = 'mall_videos';

    public function getPathUrlAttribute(): string
    {
        return $this->parseImageUrl($this->path);
    }

}
